ViewVC Help
View File | Revision Log | Show Annotations | Download File
/cvs/gvpe/configure
(Generate patch)

Comparing gvpe/configure (file contents):
Revision 1.27 by pcg, Wed Mar 23 17:03:58 2005 UTC vs.
Revision 1.32 by pcg, Wed Jan 18 13:17:55 2006 UTC

307#endif 307#endif
308#if HAVE_UNISTD_H 308#if HAVE_UNISTD_H
309# include <unistd.h> 309# include <unistd.h>
310#endif" 310#endif"
311 311
312ac_subst_vars='SHELL PATH_SEPARATOR PACKAGE_NAME PACKAGE_TARNAME PACKAGE_VERSION PACKAGE_STRING PACKAGE_BUGREPORT exec_prefix prefix program_transform_name bindir sbindir libexecdir datadir sysconfdir sharedstatedir localstatedir libdir includedir oldincludedir infodir mandir build_alias host_alias target_alias DEFS ECHO_C ECHO_N ECHO_T LIBS build build_cpu build_vendor build_os host host_cpu host_vendor host_os target target_cpu target_vendor target_os INSTALL_PROGRAM INSTALL_SCRIPT INSTALL_DATA CYGPATH_W PACKAGE VERSION ACLOCAL AUTOCONF AUTOMAKE AUTOHEADER MAKEINFO AMTAR install_sh STRIP ac_ct_STRIP INSTALL_STRIP_PROGRAM AWK SET_MAKE am__leading_dot MAINTAINER_MODE_TRUE MAINTAINER_MODE_FALSE MAINT MKINSTALLDIRS MSGFMT GMSGFMT XGETTEXT MSGMERGE CC CFLAGS LDFLAGS CPPFLAGS ac_ct_CC EXEEXT OBJEXT DEPDIR am__include am__quote AMDEP_TRUE AMDEP_FALSE AMDEPBACKSLASH CCDEPMODE am__fastdepCC_TRUE am__fastdepCC_FALSE USE_NLS LIBICONV LTLIBICONV INTLLIBS LIBINTL LTLIBINTL POSUB CPP CXX CXXFLAGS ac_ct_CXX CXXDEPMODE am__fastdepCXX_TRUE am__fastdepCXX_FALSE EGREP LN_S RANLIB ac_ct_RANLIB IFTYPE IFSUBTYPE CXXCPP ALLOCA LINUX_IF_TUN_H HAVE_TUNTAP LDFLAGS_DAEMON ROHC_TRUE ROHC_FALSE INCLUDES LIBOBJS LTLIBOBJS' 312ac_subst_vars='SHELL PATH_SEPARATOR PACKAGE_NAME PACKAGE_TARNAME PACKAGE_VERSION PACKAGE_STRING PACKAGE_BUGREPORT exec_prefix prefix program_transform_name bindir sbindir libexecdir datadir sysconfdir sharedstatedir localstatedir libdir includedir oldincludedir infodir mandir build_alias host_alias target_alias DEFS ECHO_C ECHO_N ECHO_T LIBS build build_cpu build_vendor build_os host host_cpu host_vendor host_os target target_cpu target_vendor target_os INSTALL_PROGRAM INSTALL_SCRIPT INSTALL_DATA CYGPATH_W PACKAGE VERSION ACLOCAL AUTOCONF AUTOMAKE AUTOHEADER MAKEINFO install_sh STRIP ac_ct_STRIP INSTALL_STRIP_PROGRAM mkdir_p AWK SET_MAKE am__leading_dot AMTAR am__tar am__untar MAINTAINER_MODE_TRUE MAINTAINER_MODE_FALSE MAINT MKINSTALLDIRS MSGFMT GMSGFMT XGETTEXT MSGMERGE CC CFLAGS LDFLAGS CPPFLAGS ac_ct_CC EXEEXT OBJEXT DEPDIR am__include am__quote AMDEP_TRUE AMDEP_FALSE AMDEPBACKSLASH CCDEPMODE am__fastdepCC_TRUE am__fastdepCC_FALSE USE_NLS LIBICONV LTLIBICONV INTLLIBS LIBINTL LTLIBINTL POSUB CPP CXX CXXFLAGS ac_ct_CXX CXXDEPMODE am__fastdepCXX_TRUE am__fastdepCXX_FALSE EGREP LN_S RANLIB ac_ct_RANLIB IFTYPE IFSUBTYPE CXXCPP ALLOCA LINUX_IF_TUN_H HAVE_TUNTAP LDFLAGS_DAEMON ROHC_TRUE ROHC_FALSE INCLUDES LIBOBJS LTLIBOBJS'
313ac_subst_files='' 313ac_subst_files=''
314 314
315# Initialize some variables set by options. 315# Initialize some variables set by options.
316ac_init_help= 316ac_init_help=
317ac_init_version=false 317ac_init_version=false
860 cat <<\_ACEOF 860 cat <<\_ACEOF
861 861
862Optional Features: 862Optional Features:
863 --disable-FEATURE do not include FEATURE (same as --enable-FEATURE=no) 863 --disable-FEATURE do not include FEATURE (same as --enable-FEATURE=no)
864 --enable-FEATURE[=ARG] include FEATURE [ARG=yes] 864 --enable-FEATURE[=ARG] include FEATURE [ARG=yes]
865 --enable-maintainer-mode enable make rules and dependencies not useful 865 --enable-maintainer-mode enable make rules and dependencies not useful
866 (and sometimes confusing) to the casual installer 866 (and sometimes confusing) to the casual installer
867 --disable-dependency-tracking Speeds up one-time builds 867 --disable-dependency-tracking speeds up one-time build
868 --enable-dependency-tracking Do not reject slow dependency extractors 868 --enable-dependency-tracking do not reject slow dependency extractors
869 --disable-rpath do not hardcode runtime library paths 869 --disable-rpath do not hardcode runtime library paths
870 --disable-nls do not use Native Language Support 870 --disable-nls do not use Native Language Support
871 --enable-iftype=TYPE/SUBTYPE 871 --enable-iftype=TYPE/SUBTYPE
872 Use kernel/net device interface TYPE/SUBTYPE. 872 Use kernel/net device interface TYPE/SUBTYPE.
873 Working combinations are: "native/linux" 873 Working combinations are (see doc/gvpe.osdep.5.pod):
874 "native/linux" "tincd/linux" "tincd/netbsd"
874 "tincd/linux" "tincd/freebsd" "tincd/openbsd" 875 "tincd/freebsd" "tincd/openbsd" "native/darwin"
875 "tincd/darwin" "native/cygwin"; Untested 876 "tincd/darwin" "native/cygwin"; Untested
876 combinations are: "native/darwin" "tincd/netbsd" 877 combinations are: "tincd/bsd" "tincd/solaris"
877 "tincd/solaris" "tincd/mingw" "tincd/raw_socket" 878 "tincd/mingw" "tincd/raw_socket" "tincd/uml_socket";
878 "tincd/uml_socket"; Broken combinations are: 879 Broken combinations are: "tincd/cygwin"; The default
879 "tincd/cygwin"; The default is to autodetect. 880 is to autodetect.
880 --enable-static-daemon enable statically linked daemon. 881 --enable-static-daemon enable statically linked daemon.
881 --enable-rohc enable robust header compression (rfc3095). 882 --enable-rohc enable robust header compression (rfc3095).
882 --enable-icmp enable icmp protocol support (default disabled). 883 --enable-icmp enable icmp protocol support (default disabled).
883 --enable-tcp enable tcp protocol support (default disabled). 884 --enable-tcp enable tcp protocol support (default disabled).
884 --enable-dns enable dns tunnel protocol support (DOES NOT WORK). 885 --enable-dns enable dns tunnel protocol support (DOES NOT WORK).
891 use BYTES bytes of extra randomness (default 8). 892 use BYTES bytes of extra randomness (default 8).
892 Allowed values are 0, 4, 8. 893 Allowed values are 0, 4, 8.
893 --enable-max-mtu=BYTES enable mtu sizes upto BYTES bytes (default 1500). 894 --enable-max-mtu=BYTES enable mtu sizes upto BYTES bytes (default 1500).
894 Use 9100 for jumbogram support. 895 Use 9100 for jumbogram support.
895 --disable-compression Disable compression support. 896 --disable-compression Disable compression support.
896 --enable-cipher Select the symmetric cipher (default "bf"). Must be 897 --enable-cipher Select the symmetric cipher (default "aes-128").
897 one of "bf" (blowfish), "aes-128" (rijndael), 898 Must be one of "bf" (blowfish), "aes-128"
898 "aes-192" or "aes-256". 899 (rijndael), "aes-192" or "aes-256".
899 --enable-digest Select the digets algorithm to use (default "sha1"). 900 --enable-digest Select the digets algorithm to use (default
900 Must be one of "sha1", "ripemd160", "md5" or "md4" 901 "ripemd160"). Must be one of "sha1", "ripemd160",
901 (insecure). 902 "md5" or "md4" (insecure).
902 903
903Optional Packages: 904Optional Packages:
904 --with-PACKAGE[=ARG] use PACKAGE [ARG=yes] 905 --with-PACKAGE[=ARG] use PACKAGE [ARG=yes]
905 --without-PACKAGE do not use PACKAGE (same as --with-PACKAGE=no) 906 --without-PACKAGE do not use PACKAGE (same as --with-PACKAGE=no)
906 --with-gnu-ld assume the C compiler uses GNU ld default=no 907 --with-gnu-ld assume the C compiler uses GNU ld default=no
1469# will get canonicalized. 1470# will get canonicalized.
1470test -n "$target_alias" && 1471test -n "$target_alias" &&
1471 test "$program_prefix$program_suffix$program_transform_name" = \ 1472 test "$program_prefix$program_suffix$program_transform_name" = \
1472 NONENONEs,x,x, && 1473 NONENONEs,x,x, &&
1473 program_prefix=${target_alias}- 1474 program_prefix=${target_alias}-
1474am__api_version="1.7" 1475am__api_version="1.9"
1475# Find a good install program. We prefer a C program (faster), 1476# Find a good install program. We prefer a C program (faster),
1476# so one script is as good as another. But avoid the broken or 1477# so one script is as good as another. But avoid the broken or
1477# incompatible versions: 1478# incompatible versions:
1478# SysV /etc/install, /usr/sbin/install 1479# SysV /etc/install, /usr/sbin/install
1479# SunOS /usr/etc/install 1480# SunOS /usr/etc/install
1607s/[\\$]/&&/g;s/;s,x,x,$// 1608s/[\\$]/&&/g;s/;s,x,x,$//
1608_ACEOF 1609_ACEOF
1609program_transform_name=`echo $program_transform_name | sed -f conftest.sed` 1610program_transform_name=`echo $program_transform_name | sed -f conftest.sed`
1610rm conftest.sed 1611rm conftest.sed
1611 1612
1612
1613# expand $ac_aux_dir to an absolute path 1613# expand $ac_aux_dir to an absolute path
1614am_aux_dir=`cd $ac_aux_dir && pwd` 1614am_aux_dir=`cd $ac_aux_dir && pwd`
1615 1615
1616test x"${MISSING+set}" = xset || MISSING="\${SHELL} $am_aux_dir/missing" 1616test x"${MISSING+set}" = xset || MISSING="\${SHELL} $am_aux_dir/missing"
1617# Use eval to expand $SHELL 1617# Use eval to expand $SHELL
1619 am_missing_run="$MISSING --run " 1619 am_missing_run="$MISSING --run "
1620else 1620else
1621 am_missing_run= 1621 am_missing_run=
1622 { echo "$as_me:$LINENO: WARNING: \`missing' script is too old or missing" >&5 1622 { echo "$as_me:$LINENO: WARNING: \`missing' script is too old or missing" >&5
1623echo "$as_me: WARNING: \`missing' script is too old or missing" >&2;} 1623echo "$as_me: WARNING: \`missing' script is too old or missing" >&2;}
1624fi
1625
1626if mkdir -p --version . >/dev/null 2>&1 && test ! -d ./--version; then
1627 # We used to keeping the `.' as first argument, in order to
1628 # allow $(mkdir_p) to be used without argument. As in
1629 # $(mkdir_p) $(somedir)
1630 # where $(somedir) is conditionally defined. However this is wrong
1631 # for two reasons:
1632 # 1. if the package is installed by a user who cannot write `.'
1633 # make install will fail,
1634 # 2. the above comment should most certainly read
1635 # $(mkdir_p) $(DESTDIR)$(somedir)
1636 # so it does not work when $(somedir) is undefined and
1637 # $(DESTDIR) is not.
1638 # To support the latter case, we have to write
1639 # test -z "$(somedir)" || $(mkdir_p) $(DESTDIR)$(somedir),
1640 # so the `.' trick is pointless.
1641 mkdir_p='mkdir -p --'
1642else
1643 # On NextStep and OpenStep, the `mkdir' command does not
1644 # recognize any option. It will interpret all options as
1645 # directories to create, and then abort because `.' already
1646 # exists.
1647 for d in ./-p ./--version;
1648 do
1649 test -d $d && rmdir $d
1650 done
1651 # $(mkinstalldirs) is defined by Automake if mkinstalldirs exists.
1652 if test -f "$ac_aux_dir/mkinstalldirs"; then
1653 mkdir_p='$(mkinstalldirs)'
1654 else
1655 mkdir_p='$(install_sh) -d'
1656 fi
1624fi 1657fi
1625 1658
1626for ac_prog in gawk mawk nawk awk 1659for ac_prog in gawk mawk nawk awk
1627do 1660do
1628 # Extract the first word of "$ac_prog", so it can be a program name with args. 1661 # Extract the first word of "$ac_prog", so it can be a program name with args.
1699else 1732else
1700 am__leading_dot=_ 1733 am__leading_dot=_
1701fi 1734fi
1702rmdir .tst 2>/dev/null 1735rmdir .tst 2>/dev/null
1703 1736
1704 # test to see if srcdir already configured 1737# test to see if srcdir already configured
1705if test "`cd $srcdir && pwd`" != "`pwd`" && 1738if test "`cd $srcdir && pwd`" != "`pwd`" &&
1706 test -f $srcdir/config.status; then 1739 test -f $srcdir/config.status; then
1707 { { echo "$as_me:$LINENO: error: source directory already configured; run \"make distclean\" there first" >&5 1740 { { echo "$as_me:$LINENO: error: source directory already configured; run \"make distclean\" there first" >&5
1708echo "$as_me: error: source directory already configured; run \"make distclean\" there first" >&2;} 1741echo "$as_me: error: source directory already configured; run \"make distclean\" there first" >&2;}
1709 { (exit 1); exit 1; }; } 1742 { (exit 1); exit 1; }; }
1719fi 1752fi
1720 1753
1721 1754
1722# Define the identity of the package. 1755# Define the identity of the package.
1723 PACKAGE=gvpe 1756 PACKAGE=gvpe
1724 VERSION=1.9 1757 VERSION=2.0
1725 1758
1726 1759
1727cat >>confdefs.h <<_ACEOF 1760cat >>confdefs.h <<_ACEOF
1728#define PACKAGE "$PACKAGE" 1761#define PACKAGE "$PACKAGE"
1729_ACEOF 1762_ACEOF
1746 1779
1747AUTOHEADER=${AUTOHEADER-"${am_missing_run}autoheader"} 1780AUTOHEADER=${AUTOHEADER-"${am_missing_run}autoheader"}
1748 1781
1749 1782
1750MAKEINFO=${MAKEINFO-"${am_missing_run}makeinfo"} 1783MAKEINFO=${MAKEINFO-"${am_missing_run}makeinfo"}
1751
1752
1753AMTAR=${AMTAR-"${am_missing_run}tar"}
1754 1784
1755install_sh=${install_sh-"$am_aux_dir/install-sh"} 1785install_sh=${install_sh-"$am_aux_dir/install-sh"}
1756 1786
1757# Installed binaries are usually stripped using `strip' when the user 1787# Installed binaries are usually stripped using `strip' when the user
1758# run `make install-strip'. However `strip' might not be the right 1788# run `make install-strip'. However `strip' might not be the right
1842fi 1872fi
1843INSTALL_STRIP_PROGRAM="\${SHELL} \$(install_sh) -c -s" 1873INSTALL_STRIP_PROGRAM="\${SHELL} \$(install_sh) -c -s"
1844 1874
1845# We need awk for the "check" target. The system "awk" is bad on 1875# We need awk for the "check" target. The system "awk" is bad on
1846# some platforms. 1876# some platforms.
1877# Always define AMTAR for backward compatibility.
1878
1879AMTAR=${AMTAR-"${am_missing_run}tar"}
1880
1881am__tar='${AMTAR} chof - "$$tardir"'; am__untar='${AMTAR} xf -'
1882
1883
1847 1884
1848 1885
1849 1886
1850 ac_config_headers="$ac_config_headers config.h" 1887 ac_config_headers="$ac_config_headers config.h"
1851 1888
3124 # overwrite some of them when testing with obscure command lines. 3161 # overwrite some of them when testing with obscure command lines.
3125 # This happens at least with the AIX C compiler. 3162 # This happens at least with the AIX C compiler.
3126 : > sub/conftest.c 3163 : > sub/conftest.c
3127 for i in 1 2 3 4 5 6; do 3164 for i in 1 2 3 4 5 6; do
3128 echo '#include "conftst'$i'.h"' >> sub/conftest.c 3165 echo '#include "conftst'$i'.h"' >> sub/conftest.c
3166 # Using `: > sub/conftst$i.h' creates only sub/conftst1.h with
3167 # Solaris 8's {/usr,}/bin/sh.
3129 : > sub/conftst$i.h 3168 touch sub/conftst$i.h
3130 done 3169 done
3131 echo "${am__include} ${am__quote}sub/conftest.Po${am__quote}" > confmf 3170 echo "${am__include} ${am__quote}sub/conftest.Po${am__quote}" > confmf
3132 3171
3133 case $depmode in 3172 case $depmode in
3134 nosideeffect) 3173 nosideeffect)
3152 >/dev/null 2>conftest.err && 3191 >/dev/null 2>conftest.err &&
3153 grep sub/conftst6.h sub/conftest.Po > /dev/null 2>&1 && 3192 grep sub/conftst6.h sub/conftest.Po > /dev/null 2>&1 &&
3154 grep sub/conftest.${OBJEXT-o} sub/conftest.Po > /dev/null 2>&1 && 3193 grep sub/conftest.${OBJEXT-o} sub/conftest.Po > /dev/null 2>&1 &&
3155 ${MAKE-make} -s -f confmf > /dev/null 2>&1; then 3194 ${MAKE-make} -s -f confmf > /dev/null 2>&1; then
3156 # icc doesn't choke on unknown options, it will just issue warnings 3195 # icc doesn't choke on unknown options, it will just issue warnings
3157 # (even with -Werror). So we grep stderr for any message 3196 # or remarks (even with -Werror). So we grep stderr for any message
3158 # that says an option was ignored. 3197 # that says an option was ignored or not supported.
3198 # When given -MP, icc 7.0 and 7.1 complain thusly:
3199 # icc: Command line warning: ignoring option '-M'; no argument required
3200 # The diagnosis changed in icc 8.0:
3201 # icc: Command line remark: option '-MP' not supported
3202 if (grep 'ignoring option' conftest.err ||
3159 if grep 'ignoring option' conftest.err >/dev/null 2>&1; then :; else 3203 grep 'not supported' conftest.err) >/dev/null 2>&1; then :; else
3160 am_cv_CC_dependencies_compiler_type=$depmode 3204 am_cv_CC_dependencies_compiler_type=$depmode
3161 break 3205 break
3162 fi 3206 fi
3163 fi 3207 fi
3164 done 3208 done
5327 # overwrite some of them when testing with obscure command lines. 5371 # overwrite some of them when testing with obscure command lines.
5328 # This happens at least with the AIX C compiler. 5372 # This happens at least with the AIX C compiler.
5329 : > sub/conftest.c 5373 : > sub/conftest.c
5330 for i in 1 2 3 4 5 6; do 5374 for i in 1 2 3 4 5 6; do
5331 echo '#include "conftst'$i'.h"' >> sub/conftest.c 5375 echo '#include "conftst'$i'.h"' >> sub/conftest.c
5376 # Using `: > sub/conftst$i.h' creates only sub/conftst1.h with
5377 # Solaris 8's {/usr,}/bin/sh.
5332 : > sub/conftst$i.h 5378 touch sub/conftst$i.h
5333 done 5379 done
5334 echo "${am__include} ${am__quote}sub/conftest.Po${am__quote}" > confmf 5380 echo "${am__include} ${am__quote}sub/conftest.Po${am__quote}" > confmf
5335 5381
5336 case $depmode in 5382 case $depmode in
5337 nosideeffect) 5383 nosideeffect)
5355 >/dev/null 2>conftest.err && 5401 >/dev/null 2>conftest.err &&
5356 grep sub/conftst6.h sub/conftest.Po > /dev/null 2>&1 && 5402 grep sub/conftst6.h sub/conftest.Po > /dev/null 2>&1 &&
5357 grep sub/conftest.${OBJEXT-o} sub/conftest.Po > /dev/null 2>&1 && 5403 grep sub/conftest.${OBJEXT-o} sub/conftest.Po > /dev/null 2>&1 &&
5358 ${MAKE-make} -s -f confmf > /dev/null 2>&1; then 5404 ${MAKE-make} -s -f confmf > /dev/null 2>&1; then
5359 # icc doesn't choke on unknown options, it will just issue warnings 5405 # icc doesn't choke on unknown options, it will just issue warnings
5360 # (even with -Werror). So we grep stderr for any message 5406 # or remarks (even with -Werror). So we grep stderr for any message
5361 # that says an option was ignored. 5407 # that says an option was ignored or not supported.
5408 # When given -MP, icc 7.0 and 7.1 complain thusly:
5409 # icc: Command line warning: ignoring option '-M'; no argument required
5410 # The diagnosis changed in icc 8.0:
5411 # icc: Command line remark: option '-MP' not supported
5412 if (grep 'ignoring option' conftest.err ||
5362 if grep 'ignoring option' conftest.err >/dev/null 2>&1; then :; else 5413 grep 'not supported' conftest.err) >/dev/null 2>&1; then :; else
5363 am_cv_CC_dependencies_compiler_type=$depmode 5414 am_cv_CC_dependencies_compiler_type=$depmode
5364 break 5415 break
5365 fi 5416 fi
5366 fi 5417 fi
5367 done 5418 done
6014 # overwrite some of them when testing with obscure command lines. 6065 # overwrite some of them when testing with obscure command lines.
6015 # This happens at least with the AIX C compiler. 6066 # This happens at least with the AIX C compiler.
6016 : > sub/conftest.c 6067 : > sub/conftest.c
6017 for i in 1 2 3 4 5 6; do 6068 for i in 1 2 3 4 5 6; do
6018 echo '#include "conftst'$i'.h"' >> sub/conftest.c 6069 echo '#include "conftst'$i'.h"' >> sub/conftest.c
6070 # Using `: > sub/conftst$i.h' creates only sub/conftst1.h with
6071 # Solaris 8's {/usr,}/bin/sh.
6019 : > sub/conftst$i.h 6072 touch sub/conftst$i.h
6020 done 6073 done
6021 echo "${am__include} ${am__quote}sub/conftest.Po${am__quote}" > confmf 6074 echo "${am__include} ${am__quote}sub/conftest.Po${am__quote}" > confmf
6022 6075
6023 case $depmode in 6076 case $depmode in
6024 nosideeffect) 6077 nosideeffect)
6042 >/dev/null 2>conftest.err && 6095 >/dev/null 2>conftest.err &&
6043 grep sub/conftst6.h sub/conftest.Po > /dev/null 2>&1 && 6096 grep sub/conftst6.h sub/conftest.Po > /dev/null 2>&1 &&
6044 grep sub/conftest.${OBJEXT-o} sub/conftest.Po > /dev/null 2>&1 && 6097 grep sub/conftest.${OBJEXT-o} sub/conftest.Po > /dev/null 2>&1 &&
6045 ${MAKE-make} -s -f confmf > /dev/null 2>&1; then 6098 ${MAKE-make} -s -f confmf > /dev/null 2>&1; then
6046 # icc doesn't choke on unknown options, it will just issue warnings 6099 # icc doesn't choke on unknown options, it will just issue warnings
6047 # (even with -Werror). So we grep stderr for any message 6100 # or remarks (even with -Werror). So we grep stderr for any message
6048 # that says an option was ignored. 6101 # that says an option was ignored or not supported.
6102 # When given -MP, icc 7.0 and 7.1 complain thusly:
6103 # icc: Command line warning: ignoring option '-M'; no argument required
6104 # The diagnosis changed in icc 8.0:
6105 # icc: Command line remark: option '-MP' not supported
6106 if (grep 'ignoring option' conftest.err ||
6049 if grep 'ignoring option' conftest.err >/dev/null 2>&1; then :; else 6107 grep 'not supported' conftest.err) >/dev/null 2>&1; then :; else
6050 am_cv_CXX_dependencies_compiler_type=$depmode 6108 am_cv_CXX_dependencies_compiler_type=$depmode
6051 break 6109 break
6052 fi 6110 fi
6053 fi 6111 fi
6054 done 6112 done
9720 ROHC_TRUE='#' 9778 ROHC_TRUE='#'
9721 ROHC_FALSE= 9779 ROHC_FALSE=
9722fi 9780fi
9723 9781
9724 9782
9783
9725# Check whether --enable-icmp or --disable-icmp was given. 9784# Check whether --enable-icmp or --disable-icmp was given.
9726if test "${enable_icmp+set}" = set; then 9785if test "${enable_icmp+set}" = set; then
9727 enableval="$enable_icmp" 9786 enableval="$enable_icmp"
9728 9787
9729cat >>confdefs.h <<_ACEOF 9788cat >>confdefs.h <<_ACEOF
10037cat >>confdefs.h <<_ACEOF 10096cat >>confdefs.h <<_ACEOF
10038#define ENABLE_COMPRESSION $COMPRESS 10097#define ENABLE_COMPRESSION $COMPRESS
10039_ACEOF 10098_ACEOF
10040 10099
10041 10100
10042CIPHER=bf_cbc 10101CIPHER=aes_128_cbc
10043# Check whether --enable-cipher or --disable-cipher was given. 10102# Check whether --enable-cipher or --disable-cipher was given.
10044if test "${enable_cipher+set}" = set; then 10103if test "${enable_cipher+set}" = set; then
10045 enableval="$enable_cipher" 10104 enableval="$enable_cipher"
10046 if test "x$enableval" = xbf ; then CIPHER=bf_cbc ; fi 10105 if test "x$enableval" = xbf ; then CIPHER=bf_cbc ; fi
10047 if test "x$enableval" = xaes-128; then CIPHER=aes_128_cbc; fi 10106 if test "x$enableval" = xaes-128; then CIPHER=aes_128_cbc; fi
10053cat >>confdefs.h <<_ACEOF 10112cat >>confdefs.h <<_ACEOF
10054#define ENABLE_CIPHER EVP_${CIPHER} 10113#define ENABLE_CIPHER EVP_${CIPHER}
10055_ACEOF 10114_ACEOF
10056 10115
10057 10116
10058DIGEST=sha1 10117DIGEST=ripemd160
10059# Check whether --enable-digest or --disable-digest was given. 10118# Check whether --enable-digest or --disable-digest was given.
10060if test "${enable_digest+set}" = set; then 10119if test "${enable_digest+set}" = set; then
10061 enableval="$enable_digest" 10120 enableval="$enable_digest"
10062 if test "x$enableval" = xsha1 ; then DIGEST=sha1 ; fi 10121 if test "x$enableval" = xsha1 ; then DIGEST=sha1 ; fi
10063 if test "x$enableval" = xripemd160; then DIGEST=ripemd160; fi 10122 if test "x$enableval" = xripemd160; then DIGEST=ripemd160; fi
10076fi 10135fi
10077 10136
10078if $CXX -v --help 2>&1 | grep -q fexceptions; then 10137if $CXX -v --help 2>&1 | grep -q fexceptions; then
10079 CXXFLAGS="$CXXFLAGS -fno-exceptions" 10138 CXXFLAGS="$CXXFLAGS -fno-exceptions"
10080fi 10139fi
10081
10082
10083 10140
10084 10141
10085 10142
10086 10143
10087 ac_config_files="$ac_config_files Makefile po/Makefile.in src/Makefile doc/Makefile lib/Makefile m4/Makefile" 10144 ac_config_files="$ac_config_files Makefile po/Makefile.in src/Makefile doc/Makefile lib/Makefile m4/Makefile"
10785s,@ACLOCAL@,$ACLOCAL,;t t 10842s,@ACLOCAL@,$ACLOCAL,;t t
10786s,@AUTOCONF@,$AUTOCONF,;t t 10843s,@AUTOCONF@,$AUTOCONF,;t t
10787s,@AUTOMAKE@,$AUTOMAKE,;t t 10844s,@AUTOMAKE@,$AUTOMAKE,;t t
10788s,@AUTOHEADER@,$AUTOHEADER,;t t 10845s,@AUTOHEADER@,$AUTOHEADER,;t t
10789s,@MAKEINFO@,$MAKEINFO,;t t 10846s,@MAKEINFO@,$MAKEINFO,;t t
10790s,@AMTAR@,$AMTAR,;t t
10791s,@install_sh@,$install_sh,;t t 10847s,@install_sh@,$install_sh,;t t
10792s,@STRIP@,$STRIP,;t t 10848s,@STRIP@,$STRIP,;t t
10793s,@ac_ct_STRIP@,$ac_ct_STRIP,;t t 10849s,@ac_ct_STRIP@,$ac_ct_STRIP,;t t
10794s,@INSTALL_STRIP_PROGRAM@,$INSTALL_STRIP_PROGRAM,;t t 10850s,@INSTALL_STRIP_PROGRAM@,$INSTALL_STRIP_PROGRAM,;t t
10851s,@mkdir_p@,$mkdir_p,;t t
10795s,@AWK@,$AWK,;t t 10852s,@AWK@,$AWK,;t t
10796s,@SET_MAKE@,$SET_MAKE,;t t 10853s,@SET_MAKE@,$SET_MAKE,;t t
10797s,@am__leading_dot@,$am__leading_dot,;t t 10854s,@am__leading_dot@,$am__leading_dot,;t t
10855s,@AMTAR@,$AMTAR,;t t
10856s,@am__tar@,$am__tar,;t t
10857s,@am__untar@,$am__untar,;t t
10798s,@MAINTAINER_MODE_TRUE@,$MAINTAINER_MODE_TRUE,;t t 10858s,@MAINTAINER_MODE_TRUE@,$MAINTAINER_MODE_TRUE,;t t
10799s,@MAINTAINER_MODE_FALSE@,$MAINTAINER_MODE_FALSE,;t t 10859s,@MAINTAINER_MODE_FALSE@,$MAINTAINER_MODE_FALSE,;t t
10800s,@MAINT@,$MAINT,;t t 10860s,@MAINT@,$MAINT,;t t
10801s,@MKINSTALLDIRS@,$MKINSTALLDIRS,;t t 10861s,@MKINSTALLDIRS@,$MKINSTALLDIRS,;t t
10802s,@MSGFMT@,$MSGFMT,;t t 10862s,@MSGFMT@,$MSGFMT,;t t
11566 /^X\(\/\).*/{ s//\1/; q; } 11626 /^X\(\/\).*/{ s//\1/; q; }
11567 s/.*/./; q'` 11627 s/.*/./; q'`
11568 else 11628 else
11569 continue 11629 continue
11570 fi 11630 fi
11571 grep '^DEP_FILES *= *[^ #]' < "$mf" > /dev/null || continue 11631 # Extract the definition of DEPDIR, am__include, and am__quote
11572 # Extract the definition of DEP_FILES from the Makefile without 11632 # from the Makefile without running `make'.
11573 # running `make'.
11574 DEPDIR=`sed -n -e '/^DEPDIR = / s///p' < "$mf"` 11633 DEPDIR=`sed -n 's/^DEPDIR = //p' < "$mf"`
11575 test -z "$DEPDIR" && continue 11634 test -z "$DEPDIR" && continue
11635 am__include=`sed -n 's/^am__include = //p' < "$mf"`
11636 test -z "am__include" && continue
11637 am__quote=`sed -n 's/^am__quote = //p' < "$mf"`
11576 # When using ansi2knr, U may be empty or an underscore; expand it 11638 # When using ansi2knr, U may be empty or an underscore; expand it
11577 U=`sed -n -e '/^U = / s///p' < "$mf"` 11639 U=`sed -n 's/^U = //p' < "$mf"`
11578 test -d "$dirpart/$DEPDIR" || mkdir "$dirpart/$DEPDIR" 11640 # Find all dependency output files, they are included files with
11579 # We invoke sed twice because it is the simplest approach to 11641 # $(DEPDIR) in their names. We invoke sed twice because it is the
11580 # changing $(DEPDIR) to its actual value in the expansion. 11642 # simplest approach to changing $(DEPDIR) to its actual value in the
11643 # expansion.
11581 for file in `sed -n -e ' 11644 for file in `sed -n "
11582 /^DEP_FILES = .*\\\\$/ { 11645 s/^$am__include $am__quote\(.*(DEPDIR).*\)$am__quote"'$/\1/p' <"$mf" | \
11583 s/^DEP_FILES = //
11584 :loop
11585 s/\\\\$//
11586 p
11587 n
11588 /\\\\$/ b loop
11589 p
11590 }
11591 /^DEP_FILES = / s/^DEP_FILES = //p' < "$mf" | \
11592 sed -e 's/\$(DEPDIR)/'"$DEPDIR"'/g' -e 's/\$U/'"$U"'/g'`; do 11646 sed -e 's/\$(DEPDIR)/'"$DEPDIR"'/g' -e 's/\$U/'"$U"'/g'`; do
11593 # Make sure the directory exists. 11647 # Make sure the directory exists.
11594 test -f "$dirpart/$file" && continue 11648 test -f "$dirpart/$file" && continue
11595 fdir=`(dirname "$file") 2>/dev/null || 11649 fdir=`(dirname "$file") 2>/dev/null ||
11596$as_expr X"$file" : 'X\(.*[^/]\)//*[^/][^/]*/*$' \| \ 11650$as_expr X"$file" : 'X\(.*[^/]\)//*[^/][^/]*/*$' \| \
11644_ACEOF 11698_ACEOF
11645chmod +x $CONFIG_STATUS 11699chmod +x $CONFIG_STATUS
11646ac_clean_files=$ac_clean_files_save 11700ac_clean_files=$ac_clean_files_save
11647 11701
11648 11702
11649
11650echo
11651echo "***"
11652echo "*** Configuration Summary"
11653echo "***"
11654echo "*** Kernel Iface: $IFTYPE/$IFSUBTYPE"
11655echo "*** Cipher used: $CIPHER"
11656echo "*** Digest used: $DIGEST"
11657echo "*** HMAC length: $HMAC"
11658echo "*** RAND used: $RAND"
11659echo "*** Max. MTU: $MTU"
11660echo "*** Compression: $COMPRESS"
11661
11662if test "x$DIGEST" = xmd4; then
11663echo "***"
11664echo "*** WARNING: The digest you have chosen ($DIGEST) is known to be insecure"
11665fi
11666
11667if test "$HMAC" -lt 12; then
11668echo "***"
11669echo "*** WARNING: The hmac length you have chosen ($HMAC) is probably insecure"
11670fi
11671
11672if test "$RAND" -lt 8; then
11673echo "***"
11674echo "*** WARNING: The random prefix you have chosen ($RAND) is probably insecure"
11675fi
11676
11677echo "***"
11678
11679echo
11680
11681
11682
11683# configure is writing to config.log, and then calls config.status. 11703# configure is writing to config.log, and then calls config.status.
11684# config.status does its own redirection, appending to config.log. 11704# config.status does its own redirection, appending to config.log.
11685# Unfortunately, on DOS this fails, as config.log is still kept open 11705# Unfortunately, on DOS this fails, as config.log is still kept open
11686# by configure, so config.status won't be able to write to it; its 11706# by configure, so config.status won't be able to write to it; its
11687# output is simply discarded. So we exec the FD to /dev/null, 11707# output is simply discarded. So we exec the FD to /dev/null,
11699 # Use ||, not &&, to avoid exiting from the if with $? = 1, which 11719 # Use ||, not &&, to avoid exiting from the if with $? = 1, which
11700 # would make configure fail if this is the last instruction. 11720 # would make configure fail if this is the last instruction.
11701 $ac_cs_success || { (exit 1); exit 1; } 11721 $ac_cs_success || { (exit 1); exit 1; }
11702fi 11722fi
11703 11723
11724
11725echo
11726echo "***"
11727echo "*** Configuration Summary"
11728echo "***"
11729echo "*** Kernel Iface: $IFTYPE/$IFSUBTYPE"
11730echo "*** Cipher used: $CIPHER"
11731echo "*** Digest used: $DIGEST"
11732echo "*** HMAC length: $HMAC"
11733echo "*** RAND used: $RAND"
11734echo "*** Max. MTU: $MTU"
11735
11736echo "***"
11737echo "*** Enable options:"
11738grep ENABLE_ config.h | sed -e 's/^/*** /'
11739
11740if test "x$DIGEST" = xmd4; then
11741echo "***"
11742echo "*** WARNING: The digest you have chosen ($DIGEST) is known to be insecure"
11743fi
11744
11745if test "$HMAC" -lt 12; then
11746echo "***"
11747echo "*** WARNING: The hmac length you have chosen ($HMAC) is probably insecure"
11748fi
11749
11750if test "$RAND" -lt 8; then
11751echo "***"
11752echo "*** WARNING: The random prefix you have chosen ($RAND) is probably insecure"
11753fi
11754
11755echo "***"
11756echo
11757
11758

Diff Legend

Removed lines
+ Added lines
< Changed lines
> Changed lines